org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateAtomicResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateAtomicResult

    public class GridCacheUpdateAtomicResult
    extends Object

Cache entry atomic update result.

### Nested Class Summary

Nested Classes
`static class` `GridCacheUpdateAtomicResult.UpdateOutcome`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteBiTuple<Object,Exception>` `computedResult()`
`long` `conflictExpireTime()`
`GridCacheVersionConflictContext<?,?>` `conflictResolveResult()`
`long` `newTtl()`
`CacheObject` `newValue()`
`CacheObject` `oldValue()`
`GridCacheVersion` `removeVersion()`
`boolean` `sendToDht()`
`boolean` `success()`
`String` `toString()`
`boolean` `transformed()`
`long` `updateCounter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### computedResult

    @Nullable
    public IgniteBiTuple<Object,Exception> computedResult()

Returns:
  Value computed by the `EntryProcessor`.

#### success

    public boolean success()

Returns:
  Success flag.

#### oldValue

    @Nullable
    public CacheObject oldValue()

Returns:
  Old value.

#### newValue

    @Nullable
    public CacheObject newValue()

Returns:
  New value.

#### newTtl

    public long newTtl()

Returns:
  `GridCacheUtils.TTL_NOT_CHANGED` if TTL did not change, otherwise new TTL.

#### updateCounter

    public long updateCounter()

Returns:
  Partition update index.

#### conflictExpireTime

    public long conflictExpireTime()

Returns:
  Explicit conflict expire time (if any). Set only if it is necessary to propagate concrete expire time value to DHT node. Otherwise set to `GridCacheUtils.EXPIRE_TIME_CALCULATE`.

#### removeVersion

    @Nullable
    public GridCacheVersion removeVersion()

Returns:
  Version for deferred delete.

#### conflictResolveResult

    @Nullable
    public GridCacheVersionConflictContext<?,?> conflictResolveResult()

Returns:
  DR conflict resolution context.

#### sendToDht

    public boolean sendToDht()

Returns:
  Whether update should be propagated to DHT node.

#### transformed

    public boolean transformed()

Returns:
  `True` if transformed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019